#### D.4.16.25 Ker

Procedure from library `modules.lib` (see modules_lib).

Usage:
  Ker(M); M a Matrix

Return:
  Module, image of a Matrix N with image(N)=Ker(M)

Example:

    LIB "modules.lib";
    ring r;
    matrix m[1][3]=x,y2,z3;
    Matrix M=m;
    M;
    ==>     {1}  {2}  {3}
    ==> {0}   x   y2   z3
    ==>
    Ker(M);
    ==> image | y2 z3 0   |
    ==>       | -x 0  z3  |
    ==>       | 0  -x -y2 |
    ==>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.